# VRButton

#### new Cesium.VRButton(container, scene, vrElement)
widgets/Source/VRButton/VRButton.js 27

A single button widget for toggling vr mode.

Name | Type | Default | Description
--- | --- | --- | ---
`container` | Element | string |  | The DOM element or ID that will contain the widget.
`scene` | Scene |  | The scene.
`vrElement` | Element | string | `document.body` | optional The element or id to be placed into vr mode.

##### Throws:

- DeveloperError : Element with id "container" does not exist in the document.

### Members

#### container : Element
widgets/Source/VRButton/VRButton.js 73

Gets the parent container.

#### viewModel : VRButtonViewModel
widgets/Source/VRButton/VRButton.js 85

Gets the view model.

### Methods

#### destroy()
widgets/Source/VRButton/VRButton.js 103

Destroys the widget. Should be called if permanently removing the widget from layout.

#### isDestroyed() → boolean
widgets/Source/VRButton/VRButton.js 95

##### Returns:

true if the object has been destroyed, false otherwise.

Need help? The fastest way to get answers is from the community and team on the Cesium Forum.